Subject: Bug#1172: [X2Go-Dev] Bug#1172: ThunderBird crashes in PubApp mode on amd64

From: Ulrich Sibiller <[email-masked]>
Date: Mon, 8 May 2017 07:44:50 +0200

On Mon, May 8, 2017 at 1:53 AM, Stefan Baur <[email-masked]> wrote:
> Am 08.05.2017 um 00:07 schrieb Ulrich Sibiller:
>
> [...]
>
>> The error message you posted is this:
>> traps: x2goagent [3339] general protection ip:7f02464e2e6d
>> sp:7ffef6c22150error:0 in libNX_X11.so.6.2[7f0246496000+123000]
>>
>> So we have a problem in libNX_X11 which - in 3.5.9.77 - is on the
>> current xorg upstream level 1.6.5. In nx-libs 3.5.0.32 it is rather
>> old (about 1.3.3). I am curious if it is sufficient to ONLY copy
>> libNX_X11.so* from 3.5.99.7 to your crashing installation. If that
>> helps we could release 3.5.0.33 or 34 with that libX11 exchanged. This
>> should generally be bit much less risky than just marking 3.5.99 as
>> stable.
>
> Copying the single file over actually works.  Though I don't know what
> other side effects it may have ...

Not too much, since there's no change in functionality AFAICS.
Good to know that this helps. So this could serve as a quick workaround.

> I hope I did this right ... the package name was libnx-x11-6-dbg.

Yes, but to get better output please install all other dbg packages
from here, too:

http://packages.x2go.org/debian/pool/main/n/nx-libs/

There a doc regarding automaitc debug package installation here:
https://wiki.debian.org/HowToGetABacktrace#Installing_the_debugging_symbols

> Program received signal SIGSEGV, Segmentation fault.
> _XData32 (dpy=dpy@entry=0x2539060, data=<optimized out>,
> data@entry=0x7f66477bcff4, len=101652, len@entry=109812) at XlibInt.c:3792
> 3792    in XlibInt.c

At this stage you should run bt (backtrace) so we can see the calls
leading to this. There's no need to do single steps.

To see better output including the line where it crashed you could
also recompile the package as described in
https://wiki.debian.org/HowToGetABacktrace#Rebuilding_the_package_you.2BIBk-re_debugging

Uli